=begin
TIG (c) 2013
All Rights Reserved.
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
WARRANTIES,INCLUDING,WITHOUT LIMITATION,THE IMPLIED WARRANTIES OF 
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
###
Script: SketchThis.rb
###
Usage:
SketchThis makes the 'SketchThis' Extension
loads SketchThisLoader.rb file in the SketchThis subfolder in Plugins
###
Donations: By PayPal.com to info @ revitrev.org
###
Version:
1.0 20130425 First Release as part of Extension.
1.1 20130521 Reworked for RBS files.
1.2 20130809 Model/Defs ALWAYS set per SKP [MAC glitch].
1.3 20131101 Fixed allow_actions_from_host for Mavericks.
###
=end
###
require('sketchup.rb')
require('extensions.rb')
###
module SketchThis
	###
    VERSION='1.3'
    ###
    def self.version()
      return VERSION
    end
    ###
	PLUGINS= File.dirname(__FILE__)
	FOLDER = File.join(PLUGINS, "SketchThis")
	###
    IS_MAC=(RUBY_PLATFORM.downcase =~ /darwin/) != nil
	###
	temp=""
	[	ENV['TEMP'], 
		ENV['TMP'], 
		ENV['TMPDIR'], 
		ENV['USERPROFILE'], 
		'C:/Temp', 
		'/tmp', 
		FOLDER, 
		PLUGINS, 
		Dir.pwd
	].each{|d|
		if d && File.directory?(d) && File.writable?(d)
			temp = File.expand_path(d)
			break
		end
    }
	TEMP=File.join(temp, "SketchThis")
	Dir.mkdir(TEMP) unless File.exist?(TEMP)
    ### Tidy up any unwanted old files - IF ANY...
    togos=[]
    togas=""
    [
	"SketchThisLoader.rb",
    "SketchThisNET.rb",
    "SketchThisLargeIcon.png",
    "SketchThisSmallIcon.png"
	].each{|f|
      ff=File.join(PLUGINS, f)
      next unless File.exist?(ff)
      togos << ff
      togas << "\n"+f
    }
    [
	"SketchThisLoader.rbs",
	"SketchThisNET.rb", 
    "SketchThisDoors.rb"
	].each{|f|
      ff=File.join(FOLDER, f)
      next unless File.exist?(ff)
      togos << ff
      togas << "\n"+f
    }
    if togos[0]
      togos.each{|f| File.delete(f) }
      UI.messagebox("Removed outdated 'SketchThis' Plugins:\nYou will need to restart SketchUp...\n\n"+togas)
    end
	###
	EXT=SketchupExtension.new("SketchThis", File.join(FOLDER, "SketchThisLoader.rb"))
	EXT.name = "SketchThis"
	EXT.description = "SketchThis toolset..."
	EXT.version = "#{VERSION}"
	EXT.creator = "SketchThis"
	EXT.copyright = "SketchThis © #{Time.now.year}"
	Sketchup.register_extension(EXT, true) # show on 1st install	
	###
end##module
###