=begin
TIG (c) 2013
All Rights Reserved.
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
WARRANTIES,INCLUDING,WITHOUT LIMITATION,THE IMPLIED WARRANTIES OF 
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
###
Script: SketchThisLoader.rb
###
Usage:
SketchThisLoader makes toolbars etc and loads all other .rb files iin the 
SketchThis subfolder in Plugins
###
Donations: By PayPal.com to info @ revitrev.org
###
Version:
1.0 20130425 First Release as part of Extension.
1.1 20130521 Reworked for RBS files.
1.2 20130809 Model/Defs ALWAYS set per SKP [MAC glitch].
1.3 20131101 Fixed allow_actions_from_host for Mavericks.
###
=end
###
module SketchThis
### load all other .rb/.rbs files in this tool's subfolder
	Dir.entries(FOLDER).each{|r|
		next if r == File.basename(__FILE__) # ignore myself
		x = File.extname(r).downcase
		next unless x == '.rb' || x == '.rbs'
		Sketchup::require(File.join(FOLDER, r)) ### load it
	}
#### Check for updates... TBC
    #self.checkSilentlyForUpdates()
### Ref to Images folder
    IMAGES=File.join(FOLDER, "Images")
#### Make the SketchThis toolbar and submenu
    unless file_loaded?(__FILE__)
        ###
        TOOLBAR = UI::Toolbar.new("SketchThis.NET"); ### now accessible throughout module
        MENU = UI.menu("Tools").add_submenu("SketchThis.NET"); ### now accessible throughout module
		###
        cmd = UI::Command.new("SketchThis.NET"){self::SketchThis::Controller.showDialog()}
        cmd.status_bar_text = "Open SketchThis.NET";
        cmd.tooltip = "Open SketchThis.NET";
        cmd.menu_text = "Open SketchThis.NET";
        cmd.small_icon = File.join(IMAGES, "SketchThisSmallIcon.png");
        cmd.large_icon = File.join(IMAGES, "SketchThisLargeIcon.png");
        TOOLBAR.add_item(cmd);
        MENU.add_item(cmd)
		###
		cmd = UI::Command.new("SketchThis.Doors"){self::SketchThis::Open.new("http://plugin.sketchthis.net/doors/")}
        cmd.status_bar_text = "Open SketchThis.Doors";
        cmd.tooltip = "Open SketchThis.Doors";
        cmd.menu_text = "Open SketchThis.Doors";
        cmd.small_icon = File.join(IMAGES, "SketchThisDoorIconSmall.png");
        cmd.large_icon = File.join(IMAGES, "SketchThisDoorIconLarge.png");
		TOOLBAR.add_item(cmd);
		MENU.add_item(cmd)
		###
		cmd = UI::Command.new("SketchThis.Cabinets"){self::SketchThis::Open.new("http://plugin.sketchthis.net/cabinets/")}
        cmd.status_bar_text = "Open SketchThis.Cabinets";
        cmd.tooltip = "Open SketchThis.Cabinets";
        cmd.menu_text = "Open SketchThis.Cabinets";
        cmd.small_icon = File.join(IMAGES, "SketchThisCabinetIconSmall.png");
        cmd.large_icon = File.join(IMAGES, "SketchThisCabinetIconLarge.png");
		TOOLBAR.add_item(cmd);
		MENU.add_item(cmd)
		###
		### prefix with a # to stop its menu item...
		MENU.add_item("Replace Doors"){Sketchup.active_model.select_tool(self::SketchThis::Doors.new(''))}
		###
        TOOLBAR.show();
        ###
    end#unless
    file_loaded(__FILE__)
end##module
###